Bug 241350 - BUG when inserting a SD card
Summary: BUG when inserting a SD card
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-25 11:57 UTC by Kjartan Maraas
Modified: 2008-02-01 09:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 09:09:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjartan Maraas 2007-05-25 11:57:08 UTC
Description of problem:

Got this in the syslog when I inserted a SD card in my laptop:

May 25 10:09:09 localhost kernel: BUG: warning at
kernel/softirq.c:138/local_bh_enable() (Not tainted)
May 25 10:09:09 localhost kernel:  [<c042b2ef>] local_bh_enable+0x45/0x92
May 25 10:09:09 localhost kernel:  [<c06036b7>] cond_resched_softirq+0x2c/0x42
May 25 10:09:09 localhost kernel:  [<c059d5d0>] release_sock+0x54/0xa3
May 25 10:09:09 localhost kernel:  [<c05ca494>] tcp_recvmsg+0x8e1/0x9ed
May 25 10:09:09 localhost kernel:  [<c059cf51>] sock_common_recvmsg+0x3e/0x54
May 25 10:09:09 localhost kernel:  [<c059b8a7>] sock_recvmsg+0xec/0x107
May 25 10:09:09 localhost kernel:  [<c0417d2b>] smp_send_reschedule+0x5f/0x64
May 25 10:09:09 localhost kernel:  [<c0437265>] autoremove_wake_function+0x0/0x35
May 25 10:09:09 localhost kernel:  [<c042adb6>] current_fs_time+0x41/0x46
May 25 10:09:09 localhost kernel:  [<c0487379>] touch_atime+0x95/0xbc
May 25 10:09:09 localhost kernel:  [<c047bdc3>] pipe_read+0x311/0x31d
May 25 10:09:09 localhost kernel:  [<c059c713>] sys_recvfrom+0xda/0x12e
May 25 10:09:09 localhost kernel:  [<c047613f>] do_sync_read+0xc7/0x10a
May 25 10:09:09 localhost kernel:  [<c043dbde>]
tick_nohz_restart_sched_tick+0xdf/0x10e
May 25 10:09:09 localhost kernel:  [<c043d763>] tick_sched_timer+0x0/0xbc
May 25 10:09:09 localhost kernel:  [<c0437265>] autoremove_wake_function+0x0/0x35
May 25 10:09:09 localhost kernel:  [<c059c79e>] sys_recv+0x37/0x3b
May 25 10:09:09 localhost kernel:  [<c059cc73>] sys_socketcall+0x19c/0x261
May 25 10:09:09 localhost kernel:  [<c04e8b30>] copy_to_user+0x3c/0x50
May 25 10:09:09 localhost kernel:  [<c0404f70>] syscall_call+0x7/0xb
May 25 10:09:09 localhost kernel:  =======================
May 25 13:54:22 localhost kernel: tifm_7xx1: sd card detected in socket 1
May 25 13:54:22 localhost kernel: tifm_7xx1: demand removing card from socket 1
May 25 13:54:22 localhost kernel: BUG: spinlock already unlocked on CPU#0,
tifm/0/1241 (Not tainted)
May 25 13:54:22 localhost kernel:  lock: f7398e84, .magic: dead4ead, .owner:
<none>/-1, .owner_cpu: -1
May 25 13:54:22 localhost kernel:  [<c04e9e4a>] _raw_spin_unlock+0x28/0x6a
May 25 13:54:22 localhost kernel:  [<c0604b98>] _spin_unlock_irqrestore+0x8/0xc
May 25 13:54:22 localhost kernel:  [<f8a2f903>]
tifm_7xx1_switch_media+0x306/0x343 [tifm_7xx1]
May 25 13:54:22 localhost kernel:  [<c0437265>] autoremove_wake_function+0x0/0x35
May 25 13:54:22 localhost kernel:  [<f8a2f5fd>] tifm_7xx1_switch_media+0x0/0x343
[tifm_7xx1]
May 25 13:54:22 localhost kernel:  [<c04371ab>] kthread+0xb0/0xd9
May 25 13:54:22 localhost kernel:  [<c04370fb>] kthread+0x0/0xd9
May 25 13:54:22 localhost kernel:  [<c0405b3f>] kernel_thread_helper+0x7/0x10
May 25 13:54:22 localhost kernel:  =======================
May 25 13:54:23 localhost kernel: tifm_7xx1: sd card detected in socket 1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Kjartan Maraas 2008-01-03 12:07:32 UTC
Don't see this any more, but the card is still not mountable.

Comment 2 Kjartan Maraas 2008-02-01 09:09:01 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.